#
# spec file for package libbonoboui (Version 2.16.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv intltool iso_ent klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libcom_err libdrm libgcc41 libgcrypt libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgpg-error libjpeg libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtiff libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xmlcharent xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libbonoboui
BuildRequires:  gnome-common gtkdoc intltool libglade2-devel libgnome-devel libgnomecanvas-devel perl-XML-Parser update-desktop-files xmlcharent
%define prefix  /opt/gnome
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Development/Libraries/GNOME
AutoReqProv:    on
Version:        2.16.0
Release:        29
Summary:        The Bonobo Part of the GNOME User Interface Libraries
Source:         libbonoboui-%{version}.tar.bz2
# copied from gnome-desktop
Source1:        gnome-desktop-ccperiph.png
Patch3:         libbonoboui-undeprecate_gnome.patch
Patch4:         libbonoboui-64bit.patch
Obsoletes:      bonobo-conf
# Needed only for gnome-desktop-ccperiph icon.
# Ignore it, causes dependency loop (#147644).
#Requires:     gnome-desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library contains the Bonobo-related part of the GNOME UI
libraries. It belongs to the GNOME 2.x Desktop platform.



%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
AutoReqProv:    on
Requires:       libbonoboui = %{version}
Requires:       libbonobo-devel orbit2-devel libxml2-devel glib2-devel libgnomecanvas-devel libgnome-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%package doc
Summary:        The Bonobo Part of the GNOME User Interface Libraries
Group:          Development/Libraries/GNOME
AutoReqProv:    on

%description doc
This library contains the Bonobo related part of the GNOME
UI-libraries. It belongs to the GNOME 2.x Desktop platform.



%prep
%setup -q -n libbonoboui-%{version} 
%patch3
%patch4 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    --sysconfdir=%{_sysconfdir} \
            --enable-gtk-doc
make

%install
%suse_update_desktop_file bonobo-browser System Monitor
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%_lib 
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/opt/gnome/share/pixmaps
cp %{S:1} $RPM_BUILD_ROOT/opt/gnome/share/pixmaps
%find_lang libbonoboui-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f libbonoboui-2.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/bin/*
%{prefix}/%_lib/libglade/2.0/libbonobo*so*
%{prefix}/share/gnome-2.0/ui/*.xml
%dir %{prefix}/%_lib/bonobo-2.0
%dir %{prefix}/%_lib/bonobo-2.0/samples
%{prefix}/%_lib/bonobo-2.0/samples/bonobo-sample-controls-2
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/%_lib/*so.*
%{prefix}/share/applications/*.desktop
%{prefix}/share/pixmaps/*.png

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/pkgconfig/libbonoboui-2.0.pc
%{prefix}/%_lib/libglade/2.0/libbonobo*.*a
%dir %{prefix}/include/libbonoboui-2.0
%dir %{prefix}/include/libbonoboui-2.0/bonobo
%{prefix}/include/libbonoboui-2.0/bonobo/*.h
%{prefix}/include/libbonoboui-2.0/*.h
%{prefix}/%_lib/*so
%{prefix}/%_lib/*a

%files doc
%defattr(-,root,root)
%{prefix}/share/gtk-doc/html/*

%changelog
* Tue Nov 21 2006 - sbrabec@suse.cz
- Do not explicitly require mDNSResponder-lib blocking avahi compat
  package.
* Fri Oct 13 2006 - danw@suse.de
- Remove dead patches
* Wed Sep 13 2006 - jhargadon@suse.de
- update to version 2.16.0
- Translation updates
- Fix the about dialog in bonobo-browser
- Fix leaks in the UI code that showed up when changing components
  in evolution
- Set menubar to correct detachable state
* Fri Aug 18 2006 - jhargadon@suse.de
- update to version 2.15.0
- Use move LINGUAS out of configure.in
- Fix moving of detached toolbars
- Fix a crash in the component browser
- Win32 portability fixes
* Sat Jul 22 2006 - gekker@suse.de
- Update to version 2.14.0
  * Fix CORBA object leaks (Adriano Winter Bess)
  * Fix bonobo-object-browser .desktop file
  (Stephane Loeuillet and Vincent Untz)
  * Translation updates.
- Update to version 2.13.1
  * Fix leaks introduced by the GOption argument handling code
  (Christian Perch)
  * Sync with latest libgnome (Christian Persch) [#326846]
- Update to version 2.13.0
  * Add support for GOption argument parsing in libgnome (Pawel Sliwowski, chpe) [#307312]
  * Don't use deprecated gnome_i18n_get_language_list (Gustavo J. A. M. Carneiro)
  * Translation updates.
- Update to version 2.10.1
  * Translation updates.
* Thu Feb 02 2006 - sbrabec@suse.cz
- Break dependency loop on gnome-desktop (#147644).
* Tue Jan 31 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Tue Sep 27 2005 - mls@suse.de
- move libbonoboui-2.so to devel package
- make devel package require base package
* Mon Aug 22 2005 - gekker@suse.de
- Update to version 2.10.1
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 2.10.0
* Fri Jun 17 2005 - gekker@suse.de
- Fix sentinel patch to work with new glib2
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Sat Mar 19 2005 - ro@suse.de
- copy icon source to this package and remove gnome-desktop
  from nfb, which caused a cycle
* Wed Mar 16 2005 - clahey@suse.de
- Add an icon for bonobo-component-browser.
* Mon Mar 07 2005 - clahey@suse.de
- Moved the bonobo Component browser from System->Documentation to
  System->Monitor.
* Thu Feb 10 2005 - gekker@suse.de
- Update to version 2.8.1
- add suse_update_desktop_config
- update neededforbuild for new doc requirements
* Mon Feb 07 2005 - ro@suse.de
- added mDNSResponder to neededforbuild
* Mon Jan 31 2005 - meissner@suse.de
- too much sentinels, dropped 1 wrong one.
* Mon Jan 31 2005 - ro@suse.de
- fix build: do not define GNOME_DISABLE_DEPRECATED
* Fri Jan 21 2005 - meissner@suse.de
- NULL instead of 0 after sentinel warning
- added sentinel markups to headers
- fixed 1 strict aliasing problem, drop -fno-strict-aliasing
* Tue Nov 23 2004 - ro@suse.de
- re-add openssl-devel to nfb
* Fri Nov 19 2004 - gekker@suse.de
- Update to 2.8.0
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Removed linc from build requirements.
- Use gnutls instead of openssl (#44438).
* Mon Jul 05 2004 - jody@suse.de
- Updated to version 2.6.1 (GNOME 2.6).
* Thu Apr 22 2004 - sbrabec@suse.cz
- Updated to version 2.6.0 (GNOME 2.6).
* Thu Feb 26 2004 - sbrabec@suse.cz
- Added Obsoletes: bonobo-conf. This package is no real successor, but
  it ensures seamless Evolution-less SLES update.
* Mon Oct 06 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Tue Aug 05 2003 - hhetter@suse.de
- updated to 2.2.4 bugfix release
* Tue Jul 22 2003 - hhetter@suse.de
- fix typo at aclocal usage
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 24 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Updated neededforbuild.
- Created libbonoboui-doc.
* Mon Jun 23 2003 - ro@suse.de
- added directories to filelist
* Mon Jun 02 2003 - ro@suse.de
- remove unpackaged files from buildroot
- include static lib in devel package
* Wed May 14 2003 - sbrabec@suse.cz
- Sync -devel Requires with pkgconfig (bug #26874).
* Mon Apr 28 2003 - sf@suse.de
- added fontconfig* to neededforbuild
* Wed Jan 29 2003 - hhetter@suse.de
- updated to version 2.2.0
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 2.1.2
* Wed Jan 15 2003 - ro@suse.de
- added expat to neededforbuild
* Wed Nov 06 2002 - sbrabec@suse.cz
- Updated to version 2.0.3.2.
- Fixed missing libxml2 in include path.
* Thu Oct 24 2002 - hhetter@suse.de
- use "-c" with automake (Bug Id #21066)
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Wed Sep 18 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 10 2002 - sf@suse.de
- fixed call of 'bonobo_closure_invoke' with wrong va_arg type
* Fri Aug 09 2002 - hhetter@suse.de
- updated to version 2.0.1
* Fri Aug 09 2002 - kukuk@suse.de
- Add openssl to neededforbuild
* Fri Jun 21 2002 - ro@suse.de
- use "-a -f" for automake
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.118.0
* Wed May 15 2002 - ro@suse.de
- use libdir
* Wed Apr 10 2002 - hhetter@suse.de
- update to version 1.113.0 [gnome desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
* Fri Jan 25 2002 - hhetter@suse.de
- built with audiofile
* Thu Jan 24 2002 - hhetter@suse.de
- build with esound
* Thu Jan 17 2002 - hhetter@suse.de
- prefixed to /opt/gnome2
* Mon Jan 14 2002 - hhetter@suse.de
- updated to version 1.109.1, from the NEWS file:
  + re-enterancy fixes
  + status segv
  + resize grip configurability
  + auto merging fixes
  + signal updates
  + missing macro
  + plug property fixage
  + PropertyControl ported
  + more regression tests
  + file selector updates
  + leak fixes
  + build fixage
- fixed filelist for locales
* Fri Jan 11 2002 - hhetter@suse.de
- added libgnomecanvas/-devel to #neededforbuild
* Thu Jan 10 2002 - hhetter@suse.de
- fixed fileslist for devel package
* Thu Jan 10 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
- use LIBRARY_PATH for broken libtool
